#3023 closed defect (fixed)

Parameter of CPU_COPY() are in wrong order

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: tool/newlib Version: 5
Severity: blocker Keywords:
Cc: Blocked By:
Blocking:

Description

According to the FreeBSD man page we have:

https://www.freebsd.org/cgi/man.cgi?query=cpuset&sektion=9&apropos=0&manpath=FreeBSD+11.0-RELEASE+and+Ports

CPU_COPY(cpuset_t *from, cpuset_t *to);

However, in Newlib we have:

static __inline void CPU_COPY( cpu_set_t *dest, const cpu_set_t *src )
{
  *dest = *src;
}

Change History (5)

comment:1 Changed on May 19, 2017 at 12:02:39 PM by Sebastian Huber

Owner: changed from joel.sherrill@… to Sebastian Huber
Status: newaccepted

comment:2 Changed on Jun 7, 2017 at 1:29:45 PM by Sebastian Huber <sebastian.huber@…>

In 836f454/rtems:

Fix CPU_COPY() usage

The original CPU_COPY() support of Newlib <sys/cpuset.h> had the
parameters in the wrong order. This is fixed in Newlib since
2017-05-22.

Update #3023.

comment:3 Changed on Jun 7, 2017 at 1:39:58 PM by Sebastian Huber

Resolution: fixed
Status: acceptedclosed

comment:4 Changed on Oct 10, 2017 at 6:25:41 AM by Sebastian Huber

Component: SMPtool/newlib

comment:5 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.